## solarwolf 1.5%2Bdfsg1

=== debian/control ===
Source: solarwolf
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Judit Foglszinger <urbec@debian.org>
Build-Depends: debhelper-compat (= 13), python3, dh-python, dh-sequence-python3
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.pygame.org/shredwheat/solarwolf/index.shtml
Vcs-Git: https://salsa.debian.org/games-team/solarwolf.git
Vcs-Browser: https://salsa.debian.org/games-team/solarwolf

Package: solarwolf
Architecture: all
Depends: python3-pygame, ${misc:Depends}, ${python3:Depends}
Description: Collect the boxes and don't become mad
 Solarwolf is an action/arcade game written entirely in Python,
 featuring amazing graphics and cool music.
 It is originally based on the SolarFox game on the Atari 2600.
 .
 All this, yet the best feature of all is; it is a hecka lotta fun!
 The point of the game is to scramble through 60 levels of patterns,
 collecting all the boxes. The part that makes it tricky is avoiding
 the relentless hailstorm of fire coming at you from all directions.
