## solarwolf 1.5+dfsg1

=== debian/changelog ===
solarwolf (1.5+dfsg1-6) unstable; urgency=low

  * rules: Turning off trimming of changelogs
  * copyright: Updating copyright years and Author for debian/*
  * control: Bumping Standards-Version to 4.6.1 - no changes needed
  * patches: Adding Comment section to desktop file for the use of AppStream

 -- Judit Foglszinger <urbec@debian.org>  Sun, 16 Oct 2022 00:42:39 +0700

solarwolf (1.5+dfsg1-5) unstable; urgency=low

  * patches: Fixing transparency loss of powerup symbols/bullet time effect
             due to transition to pygame2 (Closes: #1008771)

 -- Judit Foglszinger <urbec@debian.org>  Sat, 02 Apr 2022 08:05:37 +0700

solarwolf (1.5+dfsg1-4) unstable; urgency=low

  * control:
    - New maintainer (Closes: #930142)
    - Adding Debian Games Team to uploaders.
    - Incrementing debhelper-compat to 13
    - Adding dh-sequence-python3
    - Adding Vcs-Git and Vcs-Browser fields
    - Bumping standards version to 4.6.0, no changes needed.
    - Correcting number of levels in long description s/48/60
  * patches: Fixing game start sound not respecting sound settings.
             (Closes: #497974)
             Thanks to Daniel Watkins on whoms patch the fix is based on.
  * solarwolf.lintian_overrides: Overriding tag
                       package-contains-documentation-outside-usr-share-doc,
                       levels.txt is game data, not documentation.
  * README.source: explain how to retrieve the orig tarball
                   and why no watch file is used.

 -- Judit Foglszinger <urbec@debian.org>  Mon, 21 Mar 2022 21:00:35 +0700

solarwolf (1.5+dfsg1-3) unstable; urgency=low

  * QA upload.
  * Fix runtime error Thread object has no attribute isAlive.
    Thanks to Judit Foglszinger for the patch. (Closes: #984673)

 -- Markus Koschany <apo@debian.org>  Mon, 15 Mar 2021 00:25:59 +0100

solarwolf (1.5+dfsg1-2) unstable; urgency=medium

  * QA upload.
  * Fix FTBS.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 23 Mar 2020 00:22:20 +0100

solarwolf (1.5+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * Orphan package. (see #930142)
  * Include sources of graphics files in orig tarball. (Closes: #637601)
    - document copyright of graphics source files
  * Convert to source format 3.0 (quilt).
  * Port to Python 3. (Closes: #912486, #938512)
  * Update Standards-Version to 4.4.1:
    - drop menu file (Closes: #311031)
    - declare that d/rules does not require root
  * Convert to dh-style build.
  * Update debhelper compat level to 12.
  * Move homepage from description to homepage field.
  * Convert d/copyright to copyright format 1.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 29 Sep 2019 16:12:23 +0200

solarwolf (1.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to compat level 10. (Closes: #817672)
  * Declare use of source format 1.0 explicitly.
  * Create a valid desktop file. (Closes: #686765)
  * Change menu section to Games/Action because Games/Arcade does not exist
    anymore.
  * debian/rules: Call dh_prep instead of deprecated dh_clean -k.
  * debian/control: Add ${misc:Depends} substvar.
  * Remove duplicate "is" word in package description.

 -- Markus Koschany <apo@debian.org>  Sun, 25 Sep 2016 21:53:45 +0200

solarwolf (1.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh-python (closes: #786097).

 -- Graham Inggs <ginggs@debian.org>  Thu, 03 Sep 2015 17:19:25 +0200

solarwolf (1.5-2) unstable; urgency=low

  * data/levels.txt: fix typos in level names
    (closes: #260823, #372199).
  * rules: s/dh_python/dh_pysupport (closes: #375594, #380956).
  * Build-depend on python-support.
  * Standards-version is 3.7.2.
  * menu: quote everything.
  * snd.py: start music when setting the volume to non-zero
    (closes: #369909).

 -- Josselin Mouette <joss@debian.org>  Wed, 11 Oct 2006 20:00:48 +0200

solarwolf (1.5-1) unstable; urgency=low

  * New upstream release.
  * Remove patch from solarwolf.py, it is integrated upstream.
  * Use icons from upstream, remove build-dependency on sng.

 -- Josselin Mouette <joss@debian.org>  Tue, 17 Feb 2004 20:18:53 +0100

solarwolf (1.4-1) unstable; urgency=low

  * New upstream release.
  * Remove patch from hud.py, upstream has its own implementation.
  * Require python 2.3 and pygame 1.5.6.
  * Use sng instead of sharutils.

 -- Josselin Mouette <joss@debian.org>  Sun, 11 Jan 2004 18:56:19 +0100

solarwolf (1.3-3) unstable; urgency=medium

  * New upload with medium urgency to avoid messing with the python
    transition.

 -- Josselin Mouette <joss@debian.org>  Tue,  7 Oct 2003 23:33:01 +0200

solarwolf (1.3-2) unstable; urgency=low

  * code/hud.py: patch from Josh Triplett <josh.trip@verizon.net> to
    display correctly more than 3 lives (closes: #211605).

 -- Josselin Mouette <joss@debian.org>  Tue,  7 Oct 2003 22:53:57 +0200

solarwolf (1.3-1) unstable; urgency=low

  * New upstream release:
    - doesn't crash anymore when it is fully completed (closes: #211323).
  * Encode changelog in UTF8.
  * Standards-version is 3.6.1.
  * Use debian/compat.

 -- Josselin Mouette <joss@debian.org>  Tue, 23 Sep 2003 18:13:05 +0200

solarwolf (1.2-2) unstable; urgency=low

  * Rebuild for python 2.3, no changes.

 -- Josselin Mouette <joss@debian.org>  Sun, 17 Aug 2003 21:06:24 +0200

solarwolf (1.2-1) unstable; urgency=low

  * New upstream release.
  * Revert to TrueColor for solarwolf.xpm.
  * Standards-version is 3.6.0:
    - move debhelper from build-depends-indep to build-depends.
  * Cleanup in debian/rules.

 -- Josselin Mouette <joss@debian.org>  Wed,  6 Aug 2003 16:50:43 +0200

solarwolf (1.1-4) unstable; urgency=low

  * Build-depend on python (closes: #173525).
  * Standards-version is 3.5.8.
  * debian/copyright: please lintian.
  * The solarwolf.xpm icon is now 32×32 with system colors.
  * Provide solarwolf.png, 64×64 version, uuencoded.
  * Build-depend on sharutils to extract solarwolf.png.


