=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: solarwolf
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Judit Foglszinger <urbec@debian.org>
+Maintainer: Judit Foglszinger <urbec@debian.org>
+Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 13), python3, dh-python, dh-sequence-python3
-Standards-Version: 4.7.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.pygame.org/shredwheat/solarwolf/index.shtml
 Vcs-Git: https://salsa.debian.org/games-team/solarwolf.git
