=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_install:
	dh_install
	mv debian/solarwolf/usr/games/solarwolf.py debian/solarwolf/usr/games/solarwolf
	rm -rf debian/solarwolf/usr/share/games/solarwolf/data/.xvpics/

# keep full changelog
override_dh_installchangelogs:
	dh_installchangelogs --no-trim
